Ads and Commerce
Ads and Commerce
Resources

Product Catalog Apps and Software

Updated: Apr 17, 2026
The Product Catalog Apps and Software edge allows you to list and create app and software items (mobile apps, desktop software, games) in a product catalog.

Permissions

To use this API, your app needs the following permission:
  • catalog_management

Reading

To list app and software items in a catalog, send a GET request:
GET /v25.0/{product-catalog-id}/apps_and_software HTTP/1.1
Host: graph.facebook.com

Parameters

Parameter Type Description
filter
string
Optional. JSON-encoded WCA filter rule for filtering apps and software. For example: {"app_category":{"eq":"Games"}}. See Product Set for the full list of filter operators.
summary
boolean
Optional. When true, includes a summary object with total_count in the response.
limit
integer
Optional. Maximum number of items to return per page.
before
string
Optional. Cursor for backward pagination.
after
string
Optional. Cursor for forward pagination.

Fields

Reading from this edge will return a JSON formatted result:
{
  "data": [],
  "paging": {},
  "summary": {}
}

data

A list of Apps and Software nodes. See the Apps and Software reference for the full list of fields.

paging

For more details about pagination, see the Graph API guide.

summary

Aggregated information about the edge, such as counts. Specify summary=true as a query parameter to include this in the response.
Field Type Description
total_count
integer
Total number of items in the catalog.

Creating

To create an app or software item in a catalog, send a POST request:
POST /v25.0/{product-catalog-id}/apps_and_software HTTP/1.1
Host: graph.facebook.com
Content-Type: application/json

{
  "retailer_id": "app-001",
  "name": "Super Puzzle Game",
  "description": "A fun and challenging puzzle game for all ages",
  "image_url": "https://example.com/app-icon.jpg",
  "url": "https://example.com/super-puzzle-game",
  "app_category": "Games",
  "genre": ["Puzzle", "Casual"],
  "operating_system": ["iOS", "Android"]
}

Parameters

The following fields are required: retailer_id, name, description, image_url, url. All other fields are optional.
For the full list of supported fields, see the Apps and Software node — Fields.

Response

{
  "id": "1234567890"
}

Updating

You can’t perform this operation on this node. To update individual app or software items, use the Apps and Software node.

Deleting

You can’t perform this operation on this node. To delete individual app or software items, use the Apps and Software node.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon